#version 140

// adapted from http://myheroics.wordpress.com/2008/09/04/glsl-bloom-shader/
// the code/algorithm is so simple I didn't really make any big changes..

out vec4 fragColor;
in vec2 fragTexCoords; 

uniform sampler2D fourthTexture;

void main()
{
	vec4 sum = vec4(0.0);
	int j;
	int i;

	// an 6x8 filter 
	for( i= -4 ;i < 4; i++)
	{
		for (j = -3; j < 3; j++)
		{
			// using an uniform kernel
			sum += texture(fourthTexture, fragTexCoords + vec2(j, i) * 0.004) * 0.25;
		}
	}
   
	if (texture(fourthTexture, fragTexCoords).r < 0.3)
	{
		fragColor = sum * sum * 0.012 + texture(fourthTexture, fragTexCoords);
	}
	else
	{
		if (texture(fourthTexture, fragTexCoords).r < 0.5)
		{
			fragColor = sum * sum * 0.009 + texture(fourthTexture, fragTexCoords);
		}
		else
		{
			fragColor = sum * sum * 0.0075 + texture(fourthTexture, fragTexCoords);
		}
	}
}