#version 140

uniform mat4 projectionMatrix;

in vec3 vertex;
in vec2 texCoords;

out vec2 fragTexCoords;

void main(void)
{
	//gl_Position = vertex;
	gl_Position = projectionMatrix * vec4(vertex, 1.0);
	fragTexCoords = texCoords;
}