#version 140

uniform mat4 projectionMatrix;
uniform mat4 modelViewMatrix;

in vec3 vertex;
in vec3 color;

out vec3 fragColorIn;

void main(void)
{
	//gl_Position = vertex;
	gl_Position = projectionMatrix * modelViewMatrix * vec4(vertex, 1.0);
	
	fragColorIn = color;
}